pcl::registration::GraphOptimizer< GraphT > Class Template Referenceabstract
Module registration

GraphOptimizer class; derive and specialize for each graph type More...

`#include <pcl/registration/graph_optimizer.h>`

## Public Member Functions

virtual bool | optimize (GraphHandler< GraphT > &inout_graph)=0
| Optimize the given graph. More...
virtual | ~GraphOptimizer ()
| Empty destructor. More...

## Detailed Description

### template<typename GraphT>
class pcl::registration::GraphOptimizer< GraphT >

GraphOptimizer class; derive and specialize for each graph type

Author
  Nicola Fioraio

Definition at line 55 of file graph_optimizer.h.

## Constructor & Destructor Documentation

template<typename GraphT >

virtual pcl::registration::GraphOptimizer< GraphT >::~GraphOptimizer | ( |  | ) |

inline virtual

Empty destructor.

Definition at line 66 of file graph_optimizer.h.

## Member Function Documentation

template<typename GraphT >

virtual bool pcl::registration::GraphOptimizer< GraphT >::optimize | ( | GraphHandler< GraphT > & | inout_graph | ) |

inline pure virtual

Optimize the given graph.

Parameters

  inout_graph | the graph

Returns
  false if the optimization has not been performed

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/registration/include/pcl/registration/graph_optimizer.h